import sys

class SettingsFile:
	"""Handles opening and editing textual settings files"""
	def __init__(self, filename):
		self.file = open(filename)
		self.contents = []
		for line in self.file:
			if line.startswith("["):
				self.contents.append([line.strip()])
			elif line.strip() <> "":
				self.contents[-1].append(line.strip())
		self.file.close()
		self.file = open(filename, "w")
	
	def SetValue(self, section, name, value):
		"""Sets the value of an option in a specific section of the file. Specify the section name with the [square brackets]"""
		for part in self.contents:
			if part[0] == section:
				for ix in range(len(part)):
					if part[ix].startswith(name + "="):
						part[ix] = name + "=" + value
						break
				else:
					part.append(name + "=" + value)
				break
		else:
			print "Could not set value of " + name + " - section " + section + " not found."
			a = raw_input("Continue anyway? (y/n) ")
			if a[0].lower <> "y":
				sys.exit()
	
	def WriteOut(self):
		for part in self.contents:
			for line in part:
				self.file.write(line + "\n")
			self.file.write("\n")
	
	def close(self):
		self.file.close()