#! /usr/bin/env python

import os
import shutil
import sys
import Settings

Installdir = "/usr/share/apps/kdm/themes/daydream"
Kdmrcfile = '/etc/kde3/kdm/kdmrc'

# Sets strings in the file contents

print "This script will install the KDM (login) theme 'daydream.'"

# Test whether we're root
if os.getuid() > 0:
	print "Please run me as root (e.g. use sudo). If you want to check what I will do, look at the code."
	exit()

# Check whether the folder already exists, and create it if not
if os.access(Installdir, os.F_OK):
	answer = raw_input("Default installation directory already exists. Do you want to continue, and overwrite the existing style in the folder daydream? ")
	if answer[0].lower() <> 'y':
		exit()
else:
	os.mkdir(Installdir)

#Copy files across
files = os.listdir('.')
for this in files:
	if this <> sys.argv[0]:
		shutil.copy(this, Installdir)

answer = raw_input("Would you like daydream to be used as the default login style? ")
if answer[0].lower() <> 'y':
	exit()

kdmrcsettings = Settings.SettingsFile(Kdmrcfile)

kdmrcsettings.SetValue("[X-*-Greeter]", 'Theme',Installdir)
kdmrcsettings.SetValue("[X-*-Greeter]", 'UseTheme','true')

kdmrcsettings.WriteOut()
kdmrcsettings.close()